Subject: Re: bug#40702: 28.0.50; (what-cursor-position) barfs on non-ASCII char

From: Štěpán Němec <[email-masked]>
Date: Sun, 19 Apr 2020 15:02:24 +0200

On Sat, 18 Apr 2020 15:22:13 -0700
Dima Kogan wrote:

> Thanks for checking. It's very consistent on my end. I poked at it a
> little bit just now.
>
> I see that buffer-file-coding-system is nil
>
> It ends up evaluating
>
>   (encoded-string-description "é" nil)
>
> which looks at the value of
>
>   (multibyte-string-p "é")
>
> [ The string above is supposed to be a single unicode character; my
>   email maybe will mangle it; I don't know ]
>
> On my install this evaluates to t, which is causing the error. Which of
> these shouldn't be happening? For the record, it used to work for me.

I'm not sure I'll be able to help you given my lack of familiarity with
this and related code, but can you at least post the full backtrace?

Looking at `what-cursor-position', apparently due to your
`buffer-file-coding-system' being nil (which seems a bit strange to me:
is even your (default-value 'buffer-file-coding-system) nil?) the
multibyte string isn't properly encoded and instead passed directly to
`encoded-string-description', leading to the error.

That said, there haven't been any relevant recent changes to
`what-cursor-position'.

In any case, I think more info is needed: backtrace, system/environment.

-- 
Štěpán